import 'dart:ffi';

import 'package:json_annotation/json_annotation.dart';

part 'rewards.g.dart';

@JsonSerializable()
class RewardsModel {
  RewardsModel();
  late Map<String, dynamic> userRewards;
  late dynamic progress;
  late Map<String, dynamic> previousReward;
  late Map<String, dynamic> nextReward;

  factory RewardsModel.fromJson(Map<String, dynamic> json) =>
      _$RewardsModelFromJson(json);

  Map<String, dynamic> toJson() => _$RewardsModelToJson(this);
}
